SigningPayload is signed by the client with the keypair associated with an address using the specified SignatureType. SignatureType can be optionally populated if there is a restriction on the signature scheme that can be used to sign the payload.

export
interface

  SigningPayload

### Hierarchy

- SigningPayload

## Index

### Properties

- account_identifier
- address
- hex_bytes
- signature_type

## Properties

### Optional account_identifier

account_identifier: RosettaAccount

- Defined in src/generated/models/SigningPayload.ts:40

memberof

  SigningPayload

### Optional address

address: string

- Defined in src/generated/models/SigningPayload.ts:34

[DEPRECATED by account_identifier in v1.4.4] The network-specific address of the account that should sign the payload.

memberof

  SigningPayload

### hex_bytes

hex_bytes: string

- Defined in src/generated/models/SigningPayload.ts:46

memberof

  SigningPayload

### Optional signature_type

signature_type: SigningPayloadSignatureTypeEnum

- Defined in src/generated/models/SigningPayload.ts:52

SignatureType is the type of a cryptographic signature.

memberof

  SigningPayload

Generated using TypeDoc